Enemy = function(game,x,y){
  Phaser.Sprite.call(this,game,x,y,'enemy');

  this.anchor.set(0.5,1);
  this.game.physics.arcade.enable(this);
  this.body.velocity.x = -BasicGame.scrollSpeed*this.game.time.fps;


  this.animations.add("run",[0,1],8, true);
  this.animations.add("vanish",[2],1,true);
  this.animations.play("run");
  this.game.add.existing(this);

}

Enemy.prototype = Object.create(Phaser.Sprite.prototype);
Enemy.prototype.constructor = Enemy;

//Make the enemy vanish from the screen (and destroy it afterwards)
Enemy.prototype.vanish = function(){
  debugLog("Vanish!");
  this.animations.play("vanish");
  //Make enemy fly out the top of the screen
  var tw = this.game.add.tween(this).to({y:0-this.height},500,null,true);
  //Destroy enemy at the end of the tween
  tw.onComplete.add(function(){debugLog("Enemy destroyed");this.destroy();},this);
}
