GlyphBox = function(game,x,y,glyph,clickable){
  Phaser.Sprite.call(this,game,x,y,'glyphBox');

  if(clickable == null){
    clickable = false;
  }

  self = this;
  self.gameState = game;
  self.anchor.set(0.5);
  self.inputEnabled = clickable;

  game.physics.arcade.enable(self);
  self.body.immovable = true;
  game.add.existing(this);


  //Create the glyph
  var style = { font: "48px Arial", fill: "#503000", wordWrap: true, wordWrapWidth: this.width, align: "center"};
  this.glyph = game.add.text(0,0,glyph,style);
  this.glyph.anchor.set(0.5);

}

GlyphBox.prototype = Object.create(Phaser.Sprite.prototype);
GlyphBox.prototype.constructor = GlyphBox;



GlyphBox.prototype.update = function(){
  //Center the glyph within the sprite
  this.glyph.x = Math.floor(this.x);
  this.glyph.y = Math.floor(this.y);
}

//Override the default destroy() function to also destroy sub-objects and create an effect
GlyphBox.prototype.destroy = function(){
  //TODO: Create an explosion effect
  debugLog("Destroying: "+this);
  this.glyph.destroy();
  Phaser.Sprite.prototype.destroy.call(this);
}

GlyphBox.prototype.setVel = function(v){
  this.body.immovable = false;
  debugLog("Setting vel to: "+v);
  this.body.velocity.x = v;
}

GlyphBox.prototype.multiplyVel = function(v){
  this.body.immovable = false;
  this.body.velocity.x *= v;
}

GlyphBox.prototype.StartTweenTo = function(v){
  this.body.moves = false;
  var tw = this.game.add.tween(this).to({x:v},500,Phaser.Easing.Bounce.Out,true);
}
