//A healthbar made up of several sprites with 2 frames each.
//max: Maximum health, spr: the Sprite to use, w: the width of the Sprite
Healthbar = function(game,max,spr,w){
  Phaser.Group.call(this,game);

  var spriteWidth = w||32;
  this.maximum = max;

  this.heartArray = new Array(max);
  for(var i=0; i<max; i++){
    this.heartArray[i] = this.create(0+i*spriteWidth,0,spr);
  }
}

Healthbar.prototype = Object.create(Phaser.Group.prototype);
Healthbar.prototype.constructor = Healthbar;

Healthbar.prototype.setHealth = function(v){
  debugLog("Updating healthbar, health is: "+v);
  if(v < 0){
    return;
  }
  for(var i=this.maximum-1; i>=v; i--){
    this.heartArray[i].frame = 1;
  }
}
