Player = function(game,x,y){
  Phaser.Sprite.call(this,game,x,y,'player');

  this.flickering = false;
  this.flickerFrames = 3;//How many frames should the sprite be invisible?
  this.flickerDuration = 1*game.time.fps;//How long the flickering should last in total
  this.flickerFramesCounter = 0;
  this.flickerDurationCounter = 0;

  this.anchor.set(0.5,0);

  this.game.physics.arcade.enable(this);
  this.body.immovable = true;
  //Animation
  this.animations.add("run");
  this.animations.play("run",8,true);
  this.game.add.existing(this);
}

Player.prototype = Object.create(Phaser.Sprite.prototype);
Player.prototype.constructor = Player;

Player.prototype.update = function(){
  if(this.flickering){
    //Toggle visibility after flickerFrames frames
    this.flickerFramesCounter++;
    if(this.flickerFramesCounter >= this.flickerFrames){
      this.visible = !this.visible;
      this.flickerFramesCounter = 0;
    }
    //Stop flickering after flickerDuration seconds and make sure the sprite ends up visible
    this.flickerDurationCounter++;
    if(this.flickerDurationCounter >= this.flickerDuration){
      this.flickering = false;
      this.flickerDurationCounter = 0;
      this.visible = true;
    }
  }
}

Player.prototype.flicker = function(){
  this.flickering = true;
}
