//Returns a deep copy of an array
function deepCopy(obj) {
    if (Object.prototype.toString.call(obj) === '[object Array]') {
        var out = [], i = 0, len = obj.length;
        for ( ; i < len; i++ ) {
            out[i] = arguments.callee(obj[i]);
        }
        return out;
    }
    if (typeof obj === 'object') {
        var out = {}, i;
        for ( i in obj ) {
            out[i] = arguments.callee(obj[i]);
        }
        return out;
    }
    return obj;
}

//Reverses the sorting of an array
function reverseSort(ar){
  if(Object.prototype.toString.call(ar) === '[object Array]'){
    var len = ar.length;
    var sorted = new Array(len);
    for(var i=0; i<len; i++){
      sorted[i] = ar[len-i-1];
    }
    return sorted;
  }else{
    console.log("Error: Obj not of type Array");
    return null;
  }
}

//Returns an int between min (inclusive) and max (exclusive)
function getRandomInt(min, max) {
    return Math.floor(Math.random() * (max - min )) + min;
}

function getRandomArbitrary(min, max) {
    return Math.random() * (max - min) + min;
}

function tossCoin(){
  return (Math.random() >= 0.5);
}

function debugLog(str){
  if(BasicGame.debugMode){
    console.log(str);
  }
}
